<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelBooking StructType
 * @subpackage Structs
 */
class HotelBooking extends AbstractStructBase
{
    /**
     * The HotelBookingRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelBooking
     */
    public $HotelBookingRQ;
    /**
     * Constructor method for HotelBooking
     * @uses HotelBooking::setHotelBookingRQ()
     * @param \StructType\JP_HotelBooking $hotelBookingRQ
     */
    public function __construct(\StructType\JP_HotelBooking $hotelBookingRQ = null)
    {
        $this
            ->setHotelBookingRQ($hotelBookingRQ);
    }
    /**
     * Get HotelBookingRQ value
     * @return \StructType\JP_HotelBooking|null
     */
    public function getHotelBookingRQ()
    {
        return $this->HotelBookingRQ;
    }
    /**
     * Set HotelBookingRQ value
     * @param \StructType\JP_HotelBooking $hotelBookingRQ
     * @return \StructType\HotelBooking
     */
    public function setHotelBookingRQ(\StructType\JP_HotelBooking $hotelBookingRQ = null)
    {
        $this->HotelBookingRQ = $hotelBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
